Subject: Re: [TR] questions for the list

From: [email-masked]
Date: Thu, 3 May 2012 13:13:23 -0400 (EDT)

Anecdotal.  

My 71 ignition switch went all dodgey.  I would be driving along, minding 
my own business and everything would shut down.  Even the overdrive would 
kick out.  I wiggle the switch and everything comes back on.  On the highway 
that usually resulted in a big bang in the exhaust from all the unburned fuel 
in the exhaust.

A new switch and all has been just fine for these 18 odd years.

Dave

In a message dated 5/3/2012 11:29:49 AM Central Daylight Time, 
[email-masked] writes: 
> I have seen the ignition switch problem a few times on the 6-pack forum. 
> Seems to be 74 and on. My 72 switch works first time every time. Owners 
> of 73 and less have not mentioned this problem. So you might want to 
> source a new switch.

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]